Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1336813 - [tiering]: error message shown during the failure of detach tier commit isn't intuitive
Summary: [tiering]: error message shown during the failure of detach tier commit isn't...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: tier
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: hari gowtham
QA Contact: Nag Pavan Chilakam
URL:
Whiteboard:
Depends On:
Blocks: 1337227 1346032 1346039
TreeView+ depends on / blocked
 
Reported: 2016-05-17 13:41 UTC by krishnaram Karthick
Modified: 2018-11-08 19:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1337227 1346032 1346039 (view as bug list)
Environment:
Last Closed: 2018-11-08 19:15:41 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description krishnaram Karthick 2016-05-17 13:41:05 UTC
Description of problem:
When detach tier commit is attempted before the tier-rebalance is complete, it fails with the following error message.


# gluster v tier spiderman detach commit
Removing tier can result in data loss. Do you want to Continue? (y/n) y
volume detach-tier commit: failed: Brick's in Hot tier is not decommissioned yet. Use gluster volume detach-tier <VOLNAME> <start | commit | force> command instead
Tier command failed

The following portion of the error message isn't clear.

Use gluster volume detach-tier <VOLNAME> <start | commit | force> command instead

We should ask the user either to wait till tier-rebalance is complete or use force option to forcefully detach the tier

Version-Release number of selected component (if applicable):
glusterfs-3.7.9-5.el7rhgs.x86_64

How reproducible:
Always

Steps to Reproduce:
1. On a tiered volume, run detach tier commit before running detach tier start

Comment 2 Dan Lambright 2016-05-19 14:39:40 UTC
will change the message to 

volume detach tier commit: failed: Bricks in hot tier are not decommissioned yet. Use gluster volume tier <VOLNAME> detach start

Comment 4 hari gowtham 2017-08-16 11:28:14 UTC
fixed by https://review.gluster.org/#/c/13365/ (master)

Comment 5 hari gowtham 2018-11-08 19:15:41 UTC
As tier is not being actively developed, I'm closing this bug. Feel free to open it if necessary.


Note You need to log in before you can comment on or make changes to this bug.